/**
 * Copyright 2015 Google Inc. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

.ribbon {
    width: 100%;
    height: 40vh;
    background-color: darkred;
    -webkit-flex-shrink: 0;
    flex-shrink: 0;
}

.main {
    margin-top: -35vh;
    -webkit-flex-shrink: 0;
    flex-shrink: 0;
}

.header .mdl-layout__header-row {
    padding-left: 40px;
}

.container {
    max-width: 1600px;
    width: calc(100% - 16px);
    margin: 0 auto;
}

.content {
    border-radius: 2px;
    padding: 20px 56px;
    margin-bottom: 80px;
}

.layout.is-small-screen .content {
    padding: 40px 28px;
}

.content h3 {
    margin-top: 48px;
}

.float-right {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

.text-center {
    text-align: center;
}

.mdl-layout-title {
    font-size: 26pt;
}

#error-notification {
    background-color: darkred;
}

.mdl-layout-title.moved {
    padding-left: 96px;
}

#error-notification {
    padding: 0 auto;
}

.mdl-textfield {
    width: 100%;
}

#guess-textfield > input, #guess-textfield > label {
    text-align: center;
}

.hidden {
    display: none;
}

.letter-box {
    margin: 5px;
    background-color: lightgrey;
}

.letter-box[data-status="correct"] {
    background-color: rgb(0, 232, 42);
}

.letter-box[data-status="incorrect"] {
    background-color: rgb(255, 43, 43);
}

.letter-box:disabled[data-status="correct"] {
    background-color: rgb(105, 230, 85);
}

.letter-box:disabled[data-status="incorrect"] {
    background-color: rgb(210, 55, 55);
}

[data-status="correct"] {
    background-color: rgb(0, 232, 42);
}

[data-status="incorrect"] {
    background-color: rgb(255, 43, 43);
}


#new-game-button {
    width: 100%;
    height: 70px;
}